Visit Our UNIX and Linux User Community


Globus Toolkit 4


 
Thread Tools Search this Thread
Top Forums UNIX for Advanced & Expert Users Globus Toolkit 4
# 1  
Old 02-14-2008
Globus Toolkit 4

Hello!
I'm trying to install the Globus Toolkit 4 on a Fedora 8 system.
The instructions I'm using to do so can be found here:

Chapter 1. 4.0.x quickstart

I'm at the Certificate Authorities point where I am supposed to sign the certificate though, and I'm having a bit of trouble that hopefully some wise person here can help me with.

I get the following error:
Code:
[globus@GRID9 ~]$  grid-ca-sign -in /etc/grid-security/hostcert_request.pem -out hostsigned.pem

ERROR: The file: /etc/grid-security/hostcert_request.pem is not readable

I also noticed that when I tried to get a host certificate for the machine, it said that it was written to:
/root/.globus/userkey.pem
Instead of the following directory like it says in the installation instructions:
/etc/grid-security/hostkey.pem
Lastly, why does it say that "GRID9: command not found" when I try to use it as an argument for the hostname?

The output previous is as follows:
Code:
[root@GRID9 etc]# export GLOBUS_LOCATION=/usr/local/globus-4.0.1
[root@GRID9 etc]# /usr/local/globus-4.0.1/setup/globus_simple_ca_cfd1c845_setup/setup-gsi -default
Subroutine Compress::Zlib::gzFile::gzseek redefined at /usr/lib/perl5/vendor_perl/5.8.8/Compress/Zlib.pm line 214.
setup-gsi: Configuring GSI security
Installing /etc/grid-security/certificates//grid-security.conf.cfd1c845...
Running grid-security-config...
Installing Globus CA certificate into trusted CA certificate directory...
Installing Globus CA signing policy into trusted CA certificate directory...
setup-gsi: Complete
[root@GRID9 etc]# ls /etc/grid-security/
certificates  globus-host-ssl.conf  globus-user-ssl.conf  grid-security.conf
[root@GRID9 etc]# ls /etc/grid-security/certificates/
cfd1c845.0                     globus-user-ssl.conf.cfd1c845
cfd1c845.signing_policy        grid-security.conf.cfd1c845
globus-host-ssl.conf.cfd1c845
[root@GRID9 etc]# source $GLOBUS_LOCATION/etc/globus-user-env.sh
[root@GRID9 etc]# grid-cert-request -host `GRID9`
bash: GRID9: command not found
Generating a 1024 bit RSA private key
...........++++++
........++++++
writing new private key to '/root/.globus/userkey.pem'
-----
You are about to be asked to enter information that will be incorporated
into your certificate request.
What you are about to enter is what is called a Distinguished Name or a DN.
There are quite a few fields but you can leave some blank
For some fields there will be a default value,
If you enter '.', the field will be left blank.
-----
Level 0 Organization [Grid]:Level 0 Organizational Unit [GlobusTest]:Level 1 Organizational Unit [simpleCA-grid9]:Level 2 Organizational Unit []:Name (e.g., John M. Smith) []:

A private key and a certificate request has been generated with the subject:

/O=Grid/OU=GlobusTest/OU=simpleCA-grid9/CN=root

If the CN=root is not appropriate, rerun this
script with the -force -cn "Common Name" options.

Your private key is stored in /root/.globus/userkey.pem
Your request is stored in /root/.globus/usercert_request.pem

Please e-mail the request to the Globus Simple CA grid_9@GRID9
You may use a command similar to the following:

  cat /root/.globus/usercert_request.pem | mail grid_9@GRID9

Only use the above if this machine can send AND receive e-mail. if not, please
mail using some other method.

Your certificate will be mailed to you within two working days.
If you receive no response, contact Globus Simple CA at grid_9@GRID9

[globus@GRID9 gt4.0.6-x86_fc_4-installer]$ cd ..
[globus@GRID9 Desktop]$ cd ..
[globus@GRID9 ~]$  grid-ca-sign -in /etc/grid-security/hostcert_request.pem -out hostsigned.pem

ERROR: The file: /etc/grid-security/hostcert_request.pem is not readable

Thanks for any help provided Smilie
# 2  
Old 02-15-2008
Hello again
I managed to solve the last problem.
My newest problem is when I try to run the following:
Code:
[grid_9@GRID9 etc]$ source /usr/local/globus-4.0.1/etc/globus-user-env.csh 
bash: /usr/local/globus-4.0.1/etc/globus-user-env.csh: line 132: syntax error: unexpected end of file

This file came with the installation. What exactly does this mean? Did I do something wrong here?
# 3  
Old 02-17-2008
bash and tcsh are two different shells

Quote:
Originally Posted by Curtor
Hello again
I managed to solve the last problem.
My newest problem is when I try to run the following:
Code:
[grid_9@GRID9 etc]$ source /usr/local/globus-4.0.1/etc/globus-user-env.csh 
bash: /usr/local/globus-4.0.1/etc/globus-user-env.csh: line 132: syntax error: unexpected end of file

This file came with the installation. What exactly does this mean? Did I do something wrong here?
bash and tcsh are two different shells.
try this: source /usr/local/globus-4.0.1/etc/globus-user-env.sh

Previous Thread | Next Thread
Test Your Knowledge in Computers #940
Difficulty: Medium
Ping was not included in 4.3BSD.
True or False?

7 More Discussions You Might Find Interesting

1. Ubuntu

Installation problem in globus toolkit 5.0.1

I have installed globus toolkit 5.0.1 on ubuntu 9. All the packages mentioned in quick start guide, like security, gridftp, gram, myproxy. But i don't know how to start web services in globus 5.0.1. There is no help provided in quick start for this. I need WSRF for making grid data mining... (0 Replies)
Discussion started by: naveencse
0 Replies

2. Ubuntu

Installation problem in globus toolkit 4.0.8

I am installing globus toolkit 4.0.8 on ububtu 9.1. When i build gt4.0.8-all-source.... executing, make | tee installer.log , as mentioned in quick start provided by globus, i got error saying, Following packages are missing, pgm_link-globus_ftp_client-ANY-dev version 5.2 is incompatible with... (0 Replies)
Discussion started by: naveencse
0 Replies

3. Ubuntu

Globus 5.0.0 installation error in ubuntu 9.1

I am installing globus toolkit 5 on ubuntu, i am getting error regarding openssl build. Unable to build Openssl. I am giving the whole installer.log file below. globus@naveen-laptop:~/gt4.0.6-all-source-installer$ make | tee istaller.log /usr/local/globus//sbin/gpt-build ... (0 Replies)
Discussion started by: naveencse
0 Replies

4. Programming

Openmotif toolkit!

I'm using ubuntu 9.10 as OS and i installed a toolkit of widgets: openmotif. The packages are: libmotif3, libx11-dev, libxp-dev, libxt-dev, x-dev. How can I compile a program including the MOTIF toolkit? I tried: gcc <my_file.c> -L /usr/lib/ It doesn't work I don't know very much the... (6 Replies)
Discussion started by: mghis
6 Replies

5. Linux

compatiblité fedora 11 and globus toolkit 4.0.1

hello i search if fedora 11 is compatible with Globus Toolkit 4.0.1.thank's (2 Replies)
Discussion started by: spam255
2 Replies

6. UNIX for Advanced & Expert Users

Globus toolkit WS Gram Build Problem

Dear Sir/Madam We are trying to configure Grid in our computer lab. We have already installed all the required software for configuring the grid. At present we are configuring it for 3 nodes. We are using Fedora 8 OS. We are using Sun Grid Engine (SGE) and Globus Tool Kit for configuring the... (0 Replies)
Discussion started by: garudawar
0 Replies

7. Linux

globus toolkit installation error

i got this error while installing gt4 on fedora core 3. please help root@localhost gt4.0.6-x86_fc_3-installer]# make | tee installer.log cd gpt && OBJECT_MODE=32 ./build_gpt Can't locate Localize.pm in @INC (@INC contains: ./tools /usr/lib/perl5/5.8.5/i386-linux-thread-multi... (0 Replies)
Discussion started by: tushru2004
0 Replies

Featured Tech Videos